package com.jscape.inet.http.protocol.marshaling;

import com.jscape.inet.http.protocol.messages.*;

/**
 * @author Alex Usun
 */
public class Requests {
    
    public static final RequestCodec.Entry[] ENTRIES = {
            new RequestCodec.Entry("CONNECT", ConnectRequest.class),
            new RequestCodec.Entry("DELETE", DeleteRequest.class),
            new RequestCodec.Entry("GET", GetRequest.class),
            new RequestCodec.Entry("HEAD", HeadRequest.class),
            new RequestCodec.Entry("OPTIONS", OptionsRequest.class),
            new RequestCodec.Entry("PATCH", PatchRequest.class),
            new RequestCodec.Entry("POST", PostRequest.class),
            new RequestCodec.Entry("PUT", PutRequest.class),
            new RequestCodec.Entry("TRACE", TraceRequest.class)
    };
    
    public static RequestCodec init(RequestCodec codec) {
        return codec.set(ENTRIES);
    }
    
    private Requests() {
        // empty
    }
}
